## eole-php-cas 2.4.0-7

=== Makefile ===
################################
# Makefile pour eole-php-cas
################################

SOURCE=eole-php-cas
VERSION=2.4
EOLE_VERSION=2.4
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-php-cas (2.4.0-7) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [d17af27] Add git-buildpackage configuration for debian version tag format

  [ Arnaud Fornerot ]
  * [6d28dbf] insertion de la methode EoleTestphpCAS (ref #7252)
  * [4fe3697] suppression du message de debug (ref #7252)

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 19 Feb 2014 12:05:06 +0100

eole-php-cas (2.4.0-6) eole-2.4-unstable; urgency=low

  * [ae555ea] * eole/eoleclient.php : utilisation de "CREATE TABLE IF NOT EXISTS"

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 30 Aug 2013 15:33:01 +0200

eole-php-cas (2.4.0-5) eole-2.4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [ace9e3f] suppression correct de la session en cas de deconnexion quand le CAS est initialiser avec le parametre start_session=true ref #5617
  * [3849c32] la session commence aussi par un sess_ dans le cas ou le parametre start_session est à false dans l'initiliation du client phpcas ref #5617
  * [3e8b2dc] ne plus utiliser un chemin de stockage sur le rep des sessions

  [ Joël Cuissinat ]
  * [26ea310] Mise à jour skeletor

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 Aug 2013 10:11:37 +0200

eole-php-cas (2.4.0-4) eole-2.4-unstable; urgency=low

  * [975eaf3] Ajouter un lien symbolique vers CAS-1.3.1 (fixes #5677)

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 28 Jun 2013 15:44:02 +0200

eole-php-cas (2.4.0-3) eole-2.4-unstable; urgency=low

  * [9d2fe89] Correction des appels sqlite pour utiliser SQLite3

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Fri, 21 Jun 2013 10:57:27 +0200

eole-php-cas (2.4.0-2) eole-2.4-unstable; urgency=low

  * [c065a02] * debian/eole-php-cas.postinst : suppression de   /usr/share/php/CAS-1.3.2 au cas où

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 19 Jun 2013 15:24:44 +0200

eole-php-cas (2.4.0-1) eole-2.4-unstable; urgency=low

  * UNRELEASED

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 19 Jun 2013 15:10:17 +0200

## eole-php-cas 2.5.2-1

=== debian/changelog ===
eole-php-cas (2.5.2-1) eole-2.5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [4d7dd28] creation methoe createAuth qui force l'authentification à true

  [ Daniel Dehennin ]
  * [9976cf1] Update gitignore for EOLE 2.4.1
  * [907e5c4] Preparation pour EOLE 2.4.2-alpha1
  * [668a4d0] Preparation pour EOLE 2.5
  * [4714cf3] Prepare version 2.5.1-a1
  * [5f242e5] Merge tag 'release/2.5.1_1' into dist/eole/2.5/master
  * [23e5dbf] Nouvel espace de nommage des tags Debian
  * [4a35eb7] Release version 2.5.1
  * [4702be4] Prepare version 2.5.2
  * [a16606b] Merge tag 'release/2.5.2' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [35d4493] Daniel Dehennin: Update package since “debian/eole/2.4.0-7”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 18 Nov 2015 10:54:04 +0100

## eole-php-cas 2.5.2-2

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,9 @@
 ################################
 
 SOURCE=eole-php-cas
-VERSION=2.4
-EOLE_VERSION=2.4
+VERSION=2.5
+EOLE_VERSION=2.5
+EOLE_RELEASE=2.5.2
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-php-cas (2.5.2-2) eole-2.5.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [85528ef] Création du répertoire de log phpCAS en postinst

  [ EOLE Build Daemon ]
  * [fe10c8c] Joël Cuissinat: Update package since “debian/eole/2.5.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 01 Feb 2018 17:35:05 +0100

=== debian/control ===
Source: eole-php-cas
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-php5-cas
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-php5-cas/repository

Package: eole-php-cas
Architecture: all
Depends: ${misc:Depends}, php5, php5-curl, php-db, php5-sqlite
Description: eole PHP client library for eole-CAS-Server
 eole-phpCAS is a PHP interface to ITS
  Central Authentication Service (http://www.yale.edu/tp/auth/)
  for PHP web applications. It handles with the EOLE
  SSO CAS-compatible Server.

## eole-php-cas 2.6.0-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-php-cas
-VERSION=2.5
-EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.2
+VERSION=2.6
+EOLE_VERSION=2.6
+EOLE_RELEASE=2.6.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-php-cas (2.6.0-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [0939ba2] Prepare version 2.6.0
  * [c9e73d4] Merge tag 'release/2.6.0' into dist/eole/2.6.0/master

  [ Joël Cuissinat ]
  * [6ecc3bb] Adaptation des dépendances PHP eole-php-cas pour xenial

  [ EOLE Build Daemon ]
  * [7deff44] Joël Cuissinat: Update package since “debian/eole/2.5.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 11 Apr 2016 12:24:43 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,11 @@
 
 Package: eole-php-cas
 Architecture: all
-Depends: ${misc:Depends}, php5, php5-curl, php-db, php5-sqlite
+Depends: php,
+         php-curl,
+         php-db,
+         php-sqlite3,
+         ${misc:Depends}
 Description: eole PHP client library for eole-CAS-Server
  eole-phpCAS is a PHP interface to ITS
   Central Authentication Service (http://www.yale.edu/tp/auth/)

## eole-php-cas 2.6.1-1

=== debian/changelog ===
eole-php-cas (2.6.1-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [8ed0838] Prepare version 2.6.1
  * [c66385a] Merge tag 'release/2.6.1' into dist/eole/2.6.1/master

  [ Joël Cuissinat ]
  * [cad2b78] Mise à niveau skeletor pour eole-php-cas
  * [fa413ff] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [afadcce] Joël Cuissinat: Update package since “debian/eole/2.6.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 07 Nov 2016 16:29:44 +0100

## eole-php-cas 2.6.1-2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-php-cas
 VERSION=2.6
 EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.0
+EOLE_RELEASE=2.6.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-php-cas (2.6.1-2) eole-2.6.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9adf113] Création du répertoire de log phpCAS en postinst

  [ EOLE Build Daemon ]
  * [1cdbcc7] Joël Cuissinat: Update package since “debian/eole/2.6.1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 01 Feb 2018 17:43:07 +0100

## eole-php-cas 2.8.0-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-php-cas
-VERSION=2.6
-EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.1
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-php-cas (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [7d4ef3d] Prepare version 2.6.2
  * [3100a8d] Merge tag 'release/2.6.2' into dist/eole/2.6.2/master
  * [67b52ea] Prepare version 2.7.0
  * [b68e47e] Merge tag 'release/2.7.0' into dist/eole/2.7.0/master
  * [91f85ea] Prepare version 2.7.1
  * [2af0e4b] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master
  * [19b5426] Prepare version 2.7.2
  * [2c2c1c4] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master
  * [78a28b1] Prepare version 2.8.0
  * [c18427b] Merge branch 'master' into dist/eole/2.8.0/master

  [ Joël Cuissinat ]
  * [f079faf] Création du répertoire de log phpCAS en postinst

  [ Philippe Caseiro ]
  * [de62a20] Adding Provides php-cas to fix conflict with glpi deps.

  [ EOLE Build Daemon ]
  * [b1e2352] Philippe Caseiro: Update package since “debian/eole/2.6.1-1”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 26 Jun 2020 15:17:55 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
          php-db,
          php-sqlite3,
          ${misc:Depends}
+Provides: php-cas
 Description: eole PHP client library for eole-CAS-Server
  eole-phpCAS is a PHP interface to ITS
   Central Authentication Service (http://www.yale.edu/tp/auth/)

## eole-php-cas 2.8.1-1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-php-cas
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-php-cas (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [66b03d2] Prepare version 2.8.1
  * [d31ed22] Merge branch 'master' into dist/eole/2.8.1/master

  [ afornerot ]
  * [0ced8c6] ajout des source upstream de version 1.4.0
  * [aee95d9] make sur la version 1.4.0
  * [3798678] modification lib eole pour passage à la version 1.4.0
  * [09539c2] application du patch eole-1.4.0
  * [c659572] appliquer le patch sur le bon chemin
  * [fa15eac] fichier texte explicatif sur le patch

  [ Arnaud Fornerot ]
  * [ffee7e1] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [adca993] Arnaud Fornerot: Update package since “debian/eole/2.8.0-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 25 Jun 2021 10:55:23 +0200

## eole-php-cas 2.9.0-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-php-cas
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-php-cas (2.9.0-1) eole-2.9.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [50de5a2] Prepare version 2.9.0
  * [df05876] Merge branch 'master' into dist/eole/2.9.0/master
  * [c2c6a24] fix(makefile): installing files requires directories first

  [ Joël Cuissinat ]
  * [00eaa45] Upgrade debian/rules for EOLE 2.9

  [ afornerot ]
  * [927dbbb] ajout php-1.6.1
  * [5f6998f] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [6951695] afornerot: Update package since “debian/eole/2.8.1-1”

 -- afornerot <afornerot@cadoles.com>  Thu, 04 Jul 2024 11:14:17 +0200

## eole-php-cas 2.10.0-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-php-cas
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-php-cas (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [50de5a2] Prepare version 2.9.0
  * [df05876] Merge branch 'master' into dist/eole/2.9.0/master
  * [c2c6a24] fix(makefile): installing files requires directories first
  * [456d5c0] Prepare release 2.10.0
  * [f66d20d] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [00eaa45] Upgrade debian/rules for EOLE 2.9
  * [efbb3a2] Merge branch '2.9.0/master'
  * [f613680] Merge branch 'master' into dist/eole/2.10.0/master

  [ afornerot ]
  * [927dbbb] ajout php-1.6.1

  [ EOLE Build Daemon ]
  * [2b6a7ff] Joël Cuissinat: Update package since “debian/eole/2.8.1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 17 Jul 2024 16:54:50 +0200
